CacheManager
Keywords: uk.ac.ic.doc.automed.qproc.cache.CacheManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.qproc.cache
Class CacheManager

    java.lang.Object
      uk.ac.ic.doc.automed.qproc.cache.CacheManager

    public class CacheManager

extends java.lang.Object

CacheManager.java
Responsible for creating a new query cache instance and manipulating the cache

Author:
  Duc M Le dmle@doc.ic.ac.uk

Method Summary
`static void` | `addListener(CacheManagementListener ln)`
`static CachePolicy` | `getCachePolicy(java.lang.String name)`
`static CacheManager` | `getInstance()`
`static DefaultQueryCache` | `getQueryCache()` Return a unique query cache instance
`static DefaultQueryCache` | `getQueryCache(java.lang.String peerName, java.lang.String schemaName)`
`static java.util.Map` | `getQueryCaches()` Return the set of all query cache objects
`static void` | `notifyListeners(java.lang.String cacheName, IQueryCache cacheObj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CacheManager getInstance()

### getQueryCaches

    public static java.util.Map getQueryCaches()

  Return the set of all query cache objects

### getQueryCache

    public static DefaultQueryCache getQueryCache()
                                           throws CacheException

  Return a unique query cache instance

  Throws:
    `CacheException`

### addListener

    public static void addListener(CacheManagementListener ln)

### notifyListeners

    public static void notifyListeners(java.lang.String cacheName,
                                       IQueryCache cacheObj)

### getQueryCache

    public static DefaultQueryCache getQueryCache(java.lang.String peerName,
                                                  java.lang.String schemaName)
                                           throws CacheException

  Throws:
    `CacheException`

### getCachePolicy

    public static CachePolicy getCachePolicy(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD